Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035971
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-05-10 18:172017-05-19 11:44
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionc7e226cb472f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035971: It is possible to synchronize a POS Order with a Return document number

DescriptionWhen the document number for returns is configured in a terminal, it is possible to end up synchronizing a normal receipt with a return document number.
Steps To ReproduceLogin in backend.
Go to the preference window and create the preference 'Web POS Service Return Approval' with value 'N' for everyone.
Go to the POS Terminal window, open the VBS-1 record and define the 'Return No Prefix': VBS1RET.

Login in web pos.
Create a ticket with a product and a related service (i.e. Avalanche transceiver classic + Phone consulting MK2).
Create a new ticket and add an Avalanche Transceiver. Write down the document number of the ticket.
Go to the Menu > Verified Returns and open the ticket with the product and the service.
Select both lines and click on Apply.
Since the 'Web POS Service Return Approval' preference is defined with a value of 'N', the 'Approval Required' popup is shown and the return flow is stopped.
Click on Ok and realize that the document number of the open ticket is now VBS1RET/... even if it contains a positive line.
Now it would be possible to click on the total amount button and complete the ticket with a wrong document number.
Proposed SolutionThe logic to switch from a normal document number to a return document number is done in several places: when lines are added/modified, when the Return this Receipt menu action is used, and when lines are added using the Verified Returns option.
Since the Verified Returns action is going to trigger the line changes anyway, the documentNo change could be removed from the Verified Returns flow, avoiding the reported problem, where the flow is stopped before adding the lines.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036007 resolvedranjith_qualiantech_com Return documentNo is not being set when service quantity rules are being applied 

-  Notes
(0096679)
hgbot (developer)
2017-05-19 11:44

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: c7e226cb472fb104d83cac63e2a45cb0a0a8b89c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:13:15 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/c7e226cb472fb104d83cac63e2a45cb0a0a8b89c [^]

Fixes issue 35971 : Removed setDocumentNo while creating verified returns

* setDocumentNo has been called, whenever receipt line property changes. So here it is removed.

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
---
(0096680)
hgbot (developer)
2017-05-19 11:44

Repository: tools/automation/pi-mobile
Changeset: d0b17c3f3a7a41c0f6a78f958b9546cf6623cf64
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:13:04 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/d0b17c3f3a7a41c0f6a78f958b9546cf6623cf64 [^]

Verifies issue 35971 : Added automated test 'I35971_VerifiedReturnsDocumentNoWithServiceApproval'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I35971_VerifiedReturnsDocumentNoWithServiceApproval.java
---

- Issue History
Date Modified Username Field Change
2017-05-10 18:17 aaroncalero New Issue
2017-05-10 18:17 aaroncalero Assigned To => Retail
2017-05-10 18:17 aaroncalero Triggers an Emergency Pack => No
2017-05-17 12:54 ranjith_qualiantech_com Relationship added related to 0036007
2017-05-17 13:01 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-05-17 13:01 ranjith_qualiantech_com Status new => scheduled
2017-05-19 11:44 hgbot Checkin
2017-05-19 11:44 hgbot Note Added: 0096679
2017-05-19 11:44 hgbot Status scheduled => resolved
2017-05-19 11:44 hgbot Resolution open => fixed
2017-05-19 11:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/c7e226cb472fb104d83cac63e2a45cb0a0a8b89c [^]
2017-05-19 11:44 hgbot Checkin
2017-05-19 11:44 hgbot Note Added: 0096680


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker